# Class ExtAppMode

java.lang.Object
uk.ac.starlink.ttools.mode.ExtAppMode

All Implemented Interfaces:
  `ProcessingMode`

public class ExtAppMode extends Object implements ProcessingMode
Debugging mode for testing TOPCAT's ExtApp functionality. This is the channel for control from Aladin. This mode is not intended for use except in a debugging context.

Since:
  18 Oct 2005
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`ExtAppMode()`

## Method Summary

Modifier and Type
Method
Description
`TableConsumer`
`createConsumer(uk.ac.starlink.task.Environment env)`
Creates a TableConsumer, deriving any additional required configuration from a given environment.
`uk.ac.starlink.task.Parameter<?>[]`
`getAssociatedParameters()`
Returns a list of any parameters which are associated with this mode.
`String`
`getDescription()`
Returns a textual description of this processing mode.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExtAppMode

public ExtAppMode()

## Method Details

### getAssociatedParameters

public uk.ac.starlink.task.Parameter<?>[] getAssociatedParameters()
Description copied from interface: `ProcessingMode`
Returns a list of any parameters which are associated with this mode.

Specified by:
  `getAssociatedParameters` in interface `ProcessingMode`
Returns:
  parameter list

### getDescription

public String getDescription()
Description copied from interface: `ProcessingMode`
Returns a textual description of this processing mode. This will be included in the user document so should be in XML.

Specified by:
  `getDescription` in interface `ProcessingMode`
Returns:
  textual description of this mode

### createConsumer

public TableConsumer createConsumer(uk.ac.starlink.task.Environment env) throws uk.ac.starlink.task.TaskException
Description copied from interface: `ProcessingMode`
Creates a TableConsumer, deriving any additional required configuration from a given environment.

Specified by:
  `createConsumer` in interface `ProcessingMode`
Parameters:
  `env` - execution environment
Throws:
  `uk.ac.starlink.task.TaskException`